Index: branches/GP-MoveOperators/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/InteractiveSymbolicRegressionSolutionSimplifierView.cs
===================================================================
--- branches/GP-MoveOperators/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/InteractiveSymbolicRegressionSolutionSimplifierView.cs	(revision 8085)
+++ branches/GP-MoveOperators/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/InteractiveSymbolicRegressionSolutionSimplifierView.cs	(revision 8206)
@@ -66,5 +66,5 @@
       var interpreter = Content.Model.Interpreter;
       var dataset = Content.ProblemData.Dataset;
-      var rows = Content.ProblemData.TrainingIndizes;
+      var rows = Content.ProblemData.TrainingIndices;
       string targetVariable = Content.ProblemData.TargetVariable;
       Dictionary<ISymbolicExpressionTreeNode, double> impactValues = new Dictionary<ISymbolicExpressionTreeNode, double>();
@@ -106,5 +106,5 @@
       start.AddSubtree((ISymbolicExpressionTreeNode)node.Clone());
       var interpreter = Content.Model.Interpreter;
-      var rows = Content.ProblemData.TrainingIndizes;
+      var rows = Content.ProblemData.TrainingIndices;
       return interpreter.GetSymbolicExpressionTreeValues(tempTree, Content.ProblemData.Dataset, rows).Median();
     }
@@ -122,5 +122,5 @@
 
     protected override void btnOptimizeConstants_Click(object sender, EventArgs e) {
-      SymbolicRegressionConstantOptimizationEvaluator.OptimizeConstants(Content.Model.Interpreter, Content.Model.SymbolicExpressionTree, Content.ProblemData, Content.ProblemData.TrainingIndizes, 0.001, 0, 0.0001);
+      SymbolicRegressionConstantOptimizationEvaluator.OptimizeConstants(Content.Model.Interpreter, Content.Model.SymbolicExpressionTree, Content.ProblemData, Content.ProblemData.TrainingIndices, 0.001, 0, 0.0001);
       UpdateModel(Content.Model.SymbolicExpressionTree);
     }
Index: branches/GP-MoveOperators/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionErrorCharacteristicsCurveView.Designer.cs
===================================================================
--- branches/GP-MoveOperators/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionErrorCharacteristicsCurveView.Designer.cs	(revision 8085)
+++ branches/GP-MoveOperators/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionErrorCharacteristicsCurveView.Designer.cs	(revision 8206)
@@ -26,9 +26,5 @@
       ((System.ComponentModel.ISupportInitialize)(this.chart)).BeginInit();
       this.SuspendLayout();
-      // 
-      // chart
-      // 
-      this.chart.MouseDown += new System.Windows.Forms.MouseEventHandler(this.chart_MouseDown);
-      // 
+      //
       // SymbolicRegressionSolutionErrorCharacteristicsCurveView
       // 
Index: branches/GP-MoveOperators/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionErrorCharacteristicsCurveView.cs
===================================================================
--- branches/GP-MoveOperators/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionErrorCharacteristicsCurveView.cs	(revision 8085)
+++ branches/GP-MoveOperators/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionErrorCharacteristicsCurveView.cs	(revision 8206)
@@ -23,5 +23,4 @@
 using System.Linq;
 using System.Windows.Forms;
-using System.Windows.Forms.DataVisualization.Charting;
 using HeuristicLab.Algorithms.DataAnalysis;
 using HeuristicLab.MainForm;
@@ -73,5 +72,5 @@
       foreach (var variable in usedVariables) {
         problemData.InputVariables.SetItemCheckedState(
-          problemData.InputVariables.Where(x => x.Value == variable).First(), true);
+          problemData.InputVariables.First(x => x.Value == variable), true);
       }
 
@@ -90,13 +89,4 @@
       base.Content_ProblemDataChanged(sender, e);
     }
-
-    private void chart_MouseDown(object sender, MouseEventArgs e) {
-      if (e.Clicks < 2) return;
-      HitTestResult result = chart.HitTest(e.X, e.Y);
-      if (result.ChartElementType != ChartElementType.LegendItem) return;
-      if (result.Series.Name != linearRegressionSolution.Name) return;
-
-      MainFormManager.MainForm.ShowContent((IRegressionSolution)result.Series.Tag);
-    }
   }
 }
Index: branches/GP-MoveOperators/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionResponseFunctionView.cs
===================================================================
--- branches/GP-MoveOperators/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionResponseFunctionView.cs	(revision 8085)
+++ branches/GP-MoveOperators/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionResponseFunctionView.cs	(revision 8206)
@@ -142,35 +142,35 @@
       };
 
-      var mainTrainingIndizes = (from row in Content.ProblemData.TrainingIndizes
+      var mainTrainingIndices = (from row in Content.ProblemData.TrainingIndices
                                  where NearMedianValue(row)
                                  select row)
         .ToArray();
-      var mainTestIndizes = (from row in Content.ProblemData.TestIndizes
+      var mainTestIndices = (from row in Content.ProblemData.TestIndices
                              where NearMedianValue(row)
                              select row)
         .ToArray();
 
-      var freeVariableValues = Content.ProblemData.Dataset.GetDoubleValues(freeVariable, mainTrainingIndizes).ToArray();
+      var freeVariableValues = Content.ProblemData.Dataset.GetDoubleValues(freeVariable, mainTrainingIndices).ToArray();
       var trainingValues = Content.ProblemData.Dataset.GetDoubleValues(Content.ProblemData.TargetVariable,
-                                                                     mainTrainingIndizes).ToArray();
+                                                                     mainTrainingIndices).ToArray();
       Array.Sort(freeVariableValues, trainingValues);
       responseChart.Series["Training Data"].Points.DataBindXY(freeVariableValues, trainingValues);
 
-      freeVariableValues = Content.ProblemData.Dataset.GetDoubleValues(freeVariable, mainTestIndizes).ToArray();
+      freeVariableValues = Content.ProblemData.Dataset.GetDoubleValues(freeVariable, mainTestIndices).ToArray();
       var testValues = Content.ProblemData.Dataset.GetDoubleValues(Content.ProblemData.TargetVariable,
-                                                                     mainTestIndizes).ToArray();
+                                                                     mainTestIndices).ToArray();
       Array.Sort(freeVariableValues, testValues);
       responseChart.Series["Test Data"].Points.DataBindXY(freeVariableValues, testValues);
 
       // draw scatter plots of remaining values
-      freeVariableValues = Content.ProblemData.Dataset.GetDoubleValues(freeVariable, Content.ProblemData.TrainingIndizes).ToArray();
+      freeVariableValues = Content.ProblemData.Dataset.GetDoubleValues(freeVariable, Content.ProblemData.TrainingIndices).ToArray();
       trainingValues = Content.ProblemData.Dataset.GetDoubleValues(Content.ProblemData.TargetVariable,
-                                                                     Content.ProblemData.TrainingIndizes).ToArray();
+                                                                     Content.ProblemData.TrainingIndices).ToArray();
       Array.Sort(freeVariableValues, trainingValues);
       responseChart.Series["Training Data (edge)"].Points.DataBindXY(freeVariableValues, trainingValues);
 
-      freeVariableValues = Content.ProblemData.Dataset.GetDoubleValues(freeVariable, Content.ProblemData.TestIndizes).ToArray();
+      freeVariableValues = Content.ProblemData.Dataset.GetDoubleValues(freeVariable, Content.ProblemData.TestIndices).ToArray();
       testValues = Content.ProblemData.Dataset.GetDoubleValues(Content.ProblemData.TargetVariable,
-                                                                     Content.ProblemData.TestIndizes).ToArray();
+                                                                     Content.ProblemData.TestIndices).ToArray();
       Array.Sort(freeVariableValues, testValues);
       responseChart.Series["Test Data (edge)"].Points.DataBindXY(freeVariableValues, testValues);
@@ -187,8 +187,8 @@
       string freeVariable = (string)comboBox.SelectedItem;
 
-      var freeVariableValues = Content.ProblemData.Dataset.GetDoubleValues(freeVariable, Content.ProblemData.TrainingIndizes).ToArray();
+      var freeVariableValues = Content.ProblemData.Dataset.GetDoubleValues(freeVariable, Content.ProblemData.TrainingIndices).ToArray();
       var responseValues = Content.Model.Interpreter.GetSymbolicExpressionTreeValues(clonedTree,
                                                                               Content.ProblemData.Dataset,
-                                                                              Content.ProblemData.TrainingIndizes)
+                                                                              Content.ProblemData.TrainingIndices)
                                                                               .ToArray();
       Array.Sort(freeVariableValues, responseValues);
